# $Revision: 1.26 $, $Date: 2007-09-04 21:24:47 $
#
# TODO:
# - use shared STLport, not included one...
# - post install
# - cron scripts (contrib)
# Conditional build:
%bcond_without	static	# don't link statically
#
Summary:	Verifies file integrity
Summary(pl.UTF-8):	Program sprawdza poprawność plików
Name:		tripwire
Version:	2.4.1.2
Release:	0.1
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/tripwire/%{name}-%{version}-src.tar.bz2
# Source0-md5:	8a1147c278b528ed593023912c4b649a
Source1:	%{name}.verify
Source2:	%{name}-tw.cfg
Patch0:		%{name}-sec.patch
URL:		http://sourceforge.net/projects/tripwire/
%{?with_static:BuildRequires:	glibc-static}
BuildRequires:	bison
BuildRequires:	flex
Requires:	crondaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cron		%{_sysconfdir}/cron.daily

%description
Tripwire is a file integrity checker - a utility that compares a
designated set of files and directories against information stored in
a previously generated database. Added or deleted files are flagged
and reported, as are any files that have changed from their previously
recorded state in the database. When run against system files on a
regular basis, any file changes would be spotted when Tripwire is next
run, giving system administrators information to enact damage control
measures immediately.

%description -l pl.UTF-8
Tripwire to narzędzie do sprawdzania poprawności plików i katalogów na
podstawie wygenerowanej bazy danych.


%prep
%setup -q -n %{name}-%{version}-src

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/{man4,man5,man8},%{_sysconfdir}/%{name}}
install -d $RPM_BUILD_ROOT{%{_var}/{spool/%{name},lib/%{name}},%{_cron}}

install bin/* $RPM_BUILD_ROOT%{_sbindir}
install man/man4/*.4 $RPM_BUILD_ROOT%{_mandir}/man4
install man/man5/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install man/man8/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install policy/twpol-Linux.txt $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/twpol.txt
install %{SOURCE1} $RPM_BUILD_ROOT%{_cron}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/tw.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc MAINTAINERS ChangeLog TRADEMARK policy/policyguide.txt
%attr(700,root,root) %{_sbindir}/*
%dir %attr(700,root,root) %{_sysconfdir}/%{name}
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/twpol.txt
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/tw.cfg
%attr(700,root,root) %{_var}/spool/%{name}
%attr(700,root,root) %{_var}/lib/%{name}
%attr(700,root,root) %{_cron}/%{name}.verify
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tripwire.spec,v $
Revision 1.26  2007-09-04 21:24:47  wolvverine
- add config

Revision 1.25  2007/09/04 20:05:30  wolvverine
- files

Revision 1.24  2007/09/04 19:12:50  wolvverine
- up to 2.4.1.2, NFY

Revision 1.23  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.21  2006/11/18 11:20:17  darekr
- comsetics

Revision 1.20  2004/10/29 13:47:42  paladine
- spelling fixes

Revision 1.19  2004/06/08 06:56:53  blues
- 2.3.1 - new location...

Revision 1.18  2004/01/26 22:10:09  qboosh
- fixed build on 64-bit archs
- s/byacc/bison/, new-style bcond, release 3

Revision 1.17  2003/09/10 15:03:44  mick3y
- requires crondaemon (domelu)

Revision 1.16  2003/08/26 15:03:36  qboosh
- no // in paths, other cosmetics

Revision 1.15  2003/05/28 13:02:21  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:27:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/08/29 12:12:25  areq
- new %doc
- Release 1, STBR

Revision 1.12  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.8  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2001/01/21 12:43:10  zagrodzki
- BuildRequires: byacc

Revision 1.6  2001/01/21 12:31:21  zagrodzki
- BuildRequires: flex

Revision 1.5  2000/12/28 15:44:32  baggins
- allow conditional non-static build (define _without_static for it)

Revision 1.4  2000/12/21 15:12:51  baggins
- typos

Revision 1.3  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.2  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/05/14 11:05:43  wiejak
- initial release
